Bug 116649 - samba share shows wrong size for big files
samba share shows wrong size for big files
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
All Linux
high Severity high
: ---
: ---
Assigned To: Jeff Layton
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-24 02:53 EST by Thomas Baumann
Modified: 2007-11-30 17:07 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-17 16:28:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas Baumann 2004-02-24 02:53:25 EST
Description of problem:

[root@localhost Linux]# mount | grep mnt
//sambaserver/images on /mnt/1 type smbfs (0)
192.168.100.99:/images on /mnt/2 type nfs (rw,addr=192.168.100.99)
[root@localhost Linux]# 

The /mnt/1 is my samba-mount, the /mnt/2 is the same target, mounted
with nfs.

[root@localhost root]# cd /mnt/1/Linux
[root@localhost Linux]# ls -al
total 2145759730
drwxr-xr-x    1 root     root         4096 Feb 20 16:10 .
drwxr-xr-x    1 root     root         4096 Feb 20 16:02 ..
-rwxr-xr-x    1 root     root     18446744071944208384 Feb 20 17:04
Linux.data
-rwxr-xr-x    1 root     root          774 Feb 18 15:00 Linux.dat
-rwxr-xr-x    1 root     root         8664 Feb 20 17:04 test
-rwxr-xr-x    1 root     root        30490 Feb 20 17:05 test.log
-rwxr-xr-x    1 root     root         1721 Feb 18 15:26 tirili.conf
[root@localhost Linux]# cd /mnt/2/Linux/
[root@localhost Linux]# ls -al
total 2470432
drwxr-xr-x    2 103      bin          8192 Feb 20 16:10 .
drwxrwxrwx    4 103      bin          8192 Feb 20 16:02 ..
-rwxr--r--    1 103      bin      2529624064 Feb 20 17:04 Linux.data
-rwxr--r--    1 103      bin           774 Feb 18 15:00 Linux.dat
-rwxr--r--    1 103      bin          8664 Feb 20 17:04 test
-rwxr--r--    1 103      bin         30490 Feb 20 17:05 test.log
-rwxr--r--    1 103      bin          1721 Feb 18 15:26 tirili.conf
[root@localhost Linux]# 

Why is the reported size so different ? I think there is an error with
samba.
When I try to copy the file Linux.data from the samba-mount my hard
disk runs out of space, when I do the same from nfs everything is
working fine.

when performing a "ls -al" you see the difference.


Version-Release number of selected component (if applicable):

samba-3.0.2-6.3E

How reproducible:


Steps to Reproduce:
1. create a file > 2.5GB on the fileserver
   e.g. 
# dd if=/dev/zero of=bigdata bs=1048576 count=2500
2500+0 records in
2500+0 records out
# ls -al Linux.data
-rw-r--r--   1 root     other    2621440000 Feb 24 08:44 bigdata

2. mount the share with samba to /mnt/1
3. mount the share with nfs   to /mnt/2
  
Actual results:

# ls -al /mnt/1/bigfile
-rwxr-xr-x    1 root     root     18446744072036024320 Feb 24 08:44
/mnt/1/bigfile

# ls -al /mnt/2/bigfile
-rw-r--r--    1 root     bin      2621440000 Feb 24 08:44 /mnt/2/bigfile

Expected results:

The size must not differ !


// Thomas Baumann // <tiri.li>
Comment 1 Jay Fenlason 2004-02-24 16:06:41 EST
smbfs != samba.  Smbfs is part of the Linux kernel.  Smbfs is also
known to not work with files larger than 2G.  In any case, I am
reassinging this bug to the kernel.
Comment 3 Uwe Helm 2006-09-27 10:01:09 EDT
have you tried to mount it with -o lfs?
Comment 4 Jeff Layton 2007-07-17 16:28:44 EDT
Given that RHEL3 is now in maintenance mode and this is hardly a catastrophic
issue, I'm going to close this bug as WONTFIX. My suggestion is to migrate to a
later RHEL release and to use CIFS instead of smbfs.

Note You need to log in before you can comment on or make changes to this bug.